---
title: HTMLHyperlinkElementUtils
slug: Web/API/HTMLHyperlinkElementUtils
tags:
  - API
  - Experimental
  - Mixin
  - URL API
---
<p>{{ApiRef("URL API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>HTMLHyperlinkElementUtils</code></strong> mixin defines utility methods and properties to work with {{domxref("HTMLAnchorElement")}} and {{domxref("HTMLAreaElement")}}. These utilities allow to deal with common features like URLs.</p>

<p>There are no objects of this type, but several objects such as {{domxref("HTMLAnchorElement")}} and {{domxref("HTMLAreaElement")}} implement it.</p>

<h2 id="Properties">Properties</h2>

<div class="note">
<p><strong>Note: </strong>This interface doesn't inherit any property.</p>
</div>

<dl>
 <dt>{{domxref("HTMLHyperlinkElementUtils.href")}}</dt>
 <dd>This a stringifier property that returns a {{domxref("USVString")}} containing the whole URL, and allows the href to be updated.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.protocol")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the protocol scheme of the URL, including the final <code>':'</code>.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.host")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the host, that is the <em>hostname</em>, and then, if the <em>port</em> of the URL is not empty (which can happen because it was not specified or because it was specified to be the default port of the URL's scheme), a <code>':'</code>, and the <em>port</em> of the URL.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.hostname")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the domain of the URL.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.port")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the port number of the URL.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.pathname")}}</dt>
 <dd>Is a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL, not including the query string or fragment.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.search")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing a <code>'?'</code> followed by the parameters of the URL.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.hash")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.username")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the username specified before the domain name.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.password")}}</dt>
 <dd>This is a {{domxref("USVString")}} containing the password specified before the domain name.</dd>
 <dt>{{domxref("HTMLHyperlinkElementUtils.origin")}} {{readonlyInline}}</dt>
 <dd>This returns a {{domxref("USVString")}} containing the origin of the URL (that is its scheme, its domain and its port).</dd>
</dl>

<h2 id="Methods">Methods</h2>

<div class="note">
<p><strong>Note: </strong>This interface doesn't inherit any method.</p>
</div>

<dl>
 <dt>{{domxref("HTMLHyperlinkElementUtils.toString()")}}</dt>
 <dd>This returns a {{domxref("USVString")}} containing the whole URL. It is a synonym for {{domxref("HTMLHyperlinkElementUtils.href")}}, though it can't be used to modify the value.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#htmlhyperlinkelementutils', 'HTMLHyperlinkElementUtils')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Interfaces implementing this one: {{domxref("HTMLAnchorElement")}}, {{domxref("HTMLAreaElement")}}</li>
</ul>
